# 查询任务

**方法**: `GET`
**路径**: `/vidu/v2/tasks/{task_id}/creations`

## 请求参数

### Path 参数

```text
task_id
string
必需
```

### Header 参数

```text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

## 请求示例代码

### Shell

```bash
curl --location --request GET '/vidu/v2/tasks//creations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw ''
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "id": "your_task_id",
    "state": "success",
    "err_code": "",
    "credits": 4,
    "payload": "",
    "creations": [
        {
            "id": "your_creations_id",
            "url": "your_generated_results_url",
            "cover_url": "your_generated_results_cover_url",
            "watermarked_url": "your_generated_results_watermarked_url"
        }
    ]
}
```
